(function($) {
	var API_URL = 'http://121.42.61.183/yutong/phone/';
		
	//首页幻灯片
	var AD_URL = API_URL + 'slider/ad';
	app.getAd = function(successCallback) {
		if(plus.networkinfo.getCurrentType() > 1) {
			mui.getJSON(AD_URL, function(response) {
				successCallback(response.data);
			});
		}else{
			plus.nativeUI.closeWaiting();	//关闭加载框
			plus.nativeUI.toast("网络未连接");
			return false;
		}
	};
			
	app.INFO_URL = API_URL + 'slider/adinfo';				//幻灯片详情页面url
	app.LOGIN_URL = API_URL + 'member/login';				//会员登录接口
	app.MemberInfo_URL = API_URL + 'member/info';			//会员信息接口
	app.SendCode_URL = API_URL + 'note/sendMessage';		//发送短信接口
	app.Reg_URL = API_URL + 'member/reg';					//会员注册接口
	app.ServeInfo_URL = API_URL + 'serve/info';				//服务详情接口
	app.AddOrder_URL = API_URL + 'order/add';				//预约下单接口
	app.AllServe_URL = API_URL + 'serve/allserve';			//所有服务接口
	app.AllShop_URL = API_URL + 'shop/allshop';				//所有商城接口
	app.ShopData_URL = API_URL + 'shop/shopdata';			//商城数据接口
	app.AllOrderList_URL = API_URL + 'order/orderList';		//所有订单接口
	app.OrderInfo_URL = API_URL + 'order/info';				//订单详情接口
	app.CouponList_URL = API_URL + 'coupon/getCoupon';		//优惠券接口
	app.BonneList_URL = API_URL + 'bonne/bonneList';		//保姆列表接口
	app.BonneInfo_URL = API_URL + 'bonne/bonneInfo';		//保姆详情接口
	app.UpdateInfo_URL = API_URL + 'member/updateInfo';		//更新用户接口
	app.PayOrder_URL = API_URL + 'order/payorder';			//订单支付接口
	app.JifenChange_URL = API_URL + 'jifen/mychange';  		//我的兑换接口
	app.JifenMx_URL = API_URL + 'jifen/mingxi';				//积分明细
	app.Cardxinxi_URL = API_URL + 'vipcard/mycard';			//会员卡信息接口
	app.Youhuiquan_URL = API_URL + 'coupon/mycoupon';		//我的优惠券接口
	app.Huoqujifen_URL = API_URL + 'jifen/huoqu';			//如何获取积分接口
	app.Duihuanyhq_URL = API_URL + 'coupon/duihuan';		//兑换优惠券接口
	app.ShopInfo_URL = API_URL + 'shop/shopinfo';			//商品详情接口
	app.ShopSilder_URL = API_URL + 'shop/tupian';			//商城幻灯片接口
	app.ShopDH_URL = API_URL + 'shop/duihuan';				//兑换商品接口
	app.Morelist_URL = API_URL + 'more/liebiao';			//更多的列表接口
	app.moreInfo_URL = API_URL + 'more/neirong';			//更多列表内容接口
	app.Couponjilu_URL = API_URL + 'coupon/jilu';			//兑换优惠券记录接口
	app.Cardjilu_URL = API_URL + 'vipcard/jilu';			//会员卡消费记录接口
	app.Czjilu_URL = API_URL + 'vipcard/czjilu';			//会员卡充值记录
	app.Pay_URL = API_URL + 'apppay/direct';				//支付宝支付接口
	app.CZpay_URL = API_URL + 'chongzhipay/cz';				//会员充值接口
	app.Comment_URL = API_URL + 'order/comment';			//订单评价接口
	app.AddAppointment_URL = API_URL + 'bonne/appointment'; //预订保姆
	app.AppointmentInfo_URL = API_URL + 'bonne/appointmentInfo';	//预订保姆订单详情
	app.Messagelist_URL = API_URL + 'more/messagelist';			//我的消息的列表接口
	app.versionUpdate_URL = API_URL + 'comm/versionUpdate';			//版本更新接口
	app.AppointmentBonne_URL = API_URL + 'bonne/appointmentBonne';	//直接预订保姆接口
	
	app.Forget_URL = API_URL + 'member/forget';					//会员忘记密码验证接口
	app.Setpasswd_URL = API_URL + 'member/setpasswd';			//会员设置密码接口
	app.Coupon_URL = API_URL + 'coupon/couponList';				//优惠券列表接口
	app.SearchBonne_URL = API_URL + 'bonne/search'				//搜索保姆接口
	app.Feedback_URL = API_URL + 'more/feedback'				//意见反馈接口
	
	//清除Token
	app.clearToken = function(){
		localStorage.setItem('token', '');
	}
	
	/**
	 * 获取Token
	 **/
	app.getToken = function() {
		var settingsText = localStorage.getItem('token');
		return settingsText;
	}
	
	/**
	 * 获取本地存储的会员信息
	 **/
	app.getUserInfo = function() {
		var settingsText = localStorage.getItem('userInfo');
		return settingsText;
	}
	
	/*
	 * 获取设备当前网络状态 
	 * */
	app.network = function() {
		var types = {};
		types[plus.networkinfo.CONNECTION_UNKNOW] 	= "网络状态未知"; 		//0
		types[plus.networkinfo.CONNECTION_NONE] 	= "网络未连接"; 		//1
		types[plus.networkinfo.CONNECTION_ETHERNET] = "有线网络"; 			//2
		types[plus.networkinfo.CONNECTION_WIFI] 	= "WIFI网络"; 		//3
		types[plus.networkinfo.CONNECTION_CELL2G] 	= "蜂窝移动2G网络"; 		//4
		types[plus.networkinfo.CONNECTION_CELL3G] 	= "蜂窝移动3G网络"; 		//5
		types[plus.networkinfo.CONNECTION_CELL4G] 	= "蜂窝移动4G网络";		//6
		plus.nativeUI.toast(types[plus.networkinfo.getCurrentType()]);
		return plus.networkinfo.getCurrentType();
	}

	
	/**
	 * 用户登录
	 **/
	app.login = function(loginInfo, callback) {
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';
		if (loginInfo.account.length == 0) {
			return callback('请输入手机号');
		}
		
		if (loginInfo.account.length < 11) {
			return callback('请输入正确的手机号');
		}
		if (loginInfo.password.length < 6) {
			return callback('密码最短为 6 位');
		}
		
		mui.ajax(app.LOGIN_URL,{
			data:{
				username: loginInfo.account,
				password: loginInfo.password
			},
			dataType:'json',//服务器返回json格式数据
			type:'post',//HTTP请求类型
			timeout:10000,//超时时间设置为10秒；
			success:function(data){
				//服务器返回响应，根据响应结果，分析是否登录成功；
				if(data.status == 200) {	//登录成功
					var jsonData = data.data;
					localStorage.setItem('token', jsonData['token']);
					return callback();
				}else{
					return callback(data.message);
				}
			},
			error:function(xhr,type,errorThrown){
				//异常处理；
				//console.log(type);
				return callback("登录异常");
			}
		});
	};
	
	
	/*
	 * 根据token 获取用户信息
	 * 
	 * */
	app.getInfo = function(callback) {
		var tokenData = app.getToken();
		if(tokenData) {
			if(plus.networkinfo.getCurrentType() > 1) {
				mui.ajax(app.MemberInfo_URL,{
					data:{
						token: tokenData
					},
					dataType:'json',//服务器返回json格式数据
					type:'post',//HTTP请求类型
					timeout:10000,//超时时间设置为10秒；
					success:function(data){
						//服务器返回响应，根据响应结果，分析是否登录成功；
						if(data.status == 200) {	//登录成功
							var jsonData = data.data;
							localStorage.setItem('userInfo', JSON.stringify(jsonData) );
							return callback();
						}else{
							app.clearToken();
							return callback(data.message);
						}
					},
					error:function(xhr,type,errorThrown){
						//异常处理；
						//console.log(type);
						return callback("获取数据异常");
					}
				});
			}else{
				return callback("网络未连接");
			}
		}else{
			return callback("亲，您还未登录！");
		}
	};
	
	/*
	 * 根据token 获取用户信息
	 * 
	 * */
	app.getNewInfo = function(callback) {
		var tokenData = app.getToken();
		if(tokenData) {
			if(plus.networkinfo.getCurrentType() > 1) {
				mui.ajax(app.MemberInfo_URL,{
					data:{
						token: tokenData
					},
					dataType:'json',//服务器返回json格式数据
					type:'post',//HTTP请求类型
					timeout:10000,//超时时间设置为10秒；
					success:function(data){
						//服务器返回响应，根据响应结果，分析是否登录成功；
						if(data.status == 200) {	//登录成功
							var jsonData = data.data;
							localStorage.setItem('userInfo', JSON.stringify(jsonData) );
							//return callback();
						}else{
							app.clearToken();
							return callback(data.message);
						}
					},
					error:function(xhr,type,errorThrown){
						//异常处理；
						//console.log(type);
						return callback("获取数据异常");
					}
				});
			}else{
				return callback("网络未连接");
			}
		}else{
			return callback("亲，您还未登录！");
		}
	};
	
	/*
	 * 发送验证码
	 * */
	app.sendCode = function(sendInfo, callback) {
		if(plus.networkinfo.getCurrentType() > 1) {
			mui.ajax(app.SendCode_URL,{
				data:{
					tel: sendInfo.tel,
					type: sendInfo.type
				},
				dataType:'json',//服务器返回json格式数据
				type:'post',//HTTP请求类型
				timeout:10000,//超时时间设置为10秒；
				success:function(data){
					//服务器返回响应，根据响应结果，分析是否登录成功；
					if(data.status == 200) {	//登录成功
						localStorage.setItem('sendCode', data.code);
						return callback();
					}else{
						return callback(data.message);
					}
				},
				error:function(xhr,type,errorThrown){
					//异常处理
					return callback("获取数据异常");
				}
			});
		}else{
			return callback("网络未连接");
		}
	};
	
	/*
	 * 发送验证码按钮 
	 * */
	app.sendButton = function(sendCodeButton) {
		var curCount = 60;
			
		timer = setInterval(function(){
            if (curCount == 0) {
                sendCodeButton.disabled = false;
				sendCodeButton.style.background = '#f0ad4e';
				sendCodeButton.style.borderColor = '#f0ad4e';
				sendCodeButton.innerHTML = '重新发送';
				clearInterval(timer);
            } else {
            	sendCodeButton.disabled = true;
				sendCodeButton.style.background = '#999999';
				sendCodeButton.style.borderColor = '#999999';
				sendCodeButton.innerHTML = curCount+'秒内输入';
                curCount--;
            }
        }, 1000);
	};
	
	/*
	 * 会员注册 
	 * 
	 * */
	app.reg = function(regInfo, callback) {
		mui.ajax(app.Reg_URL,{
			data:{
				tel: regInfo.tel,
				password: regInfo.password,
				code:regInfo.code,
				source:regInfo.source
			},
			dataType:'json',//服务器返回json格式数据
			type:'post',//HTTP请求类型
			timeout:10000,//超时时间设置为10秒；
			success:function(data){
				//服务器返回响应，根据响应结果，分析是否登录成功；
				if(data.status == 200) {	//登录成功
//					var jsonData = data.data;
//					localStorage.setItem('token', jsonData['token']);
					return callback();
				}else{
					return callback(data.message);
				}
			},
			error:function(xhr,type,errorThrown){
				//异常处理；
				//console.log(type);
				return callback("注册异常");
			}
		});
	};
	
	/*
	 * 忘记密码 验证
	 * 
	 * */
	app.forget = function(forgetInfo, callback) {
		mui.ajax(app.Forget_URL,{
			data:{
				tel: forgetInfo.tel,
				code:forgetInfo.code
			},
			dataType:'json',//服务器返回json格式数据
			type:'post',//HTTP请求类型
			timeout:10000,//超时时间设置为10秒；
			success:function(data){
				//服务器返回响应，根据响应结果，分析是否登录成功；
				if(data.status == 200) {	//登录成功
					var jsonData = data.data;
					//console.dir(JSON.stringify(data));
					localStorage.setItem('forgetstate', jsonData['state']);
					localStorage.setItem('forgettel', jsonData['tel']);
					return callback();
				}else{
					return callback(data.message);
				}
			},
			error:function(xhr,type,errorThrown){
				//异常处理；
				//console.log(type);
				return callback("操作异常");
			}
		});
	};
	
	/*
	 * 设置密码 验证
	 * 
	 * */
	app.setpasswd = function(setpasswdInfo, callback) {
		mui.ajax(app.Setpasswd_URL,{
			data:{
				username: setpasswdInfo.tel,
				password: setpasswdInfo.password,
			},
			dataType:'json',//服务器返回json格式数据
			type:'post',//HTTP请求类型
			timeout:10000,//超时时间设置为10秒；
			success:function(data){
				//服务器返回响应，根据响应结果，分析是否登录成功；
				if(data.status == 200) {	//登录成功
					var jsonData = data.data;
					return callback();
				}else{
					return callback(data.message);
				}
			},
			error:function(xhr,type,errorThrown){
				//异常处理；
				//console.log(type);
				return callback("操作异常");
			}
		});
	};	
	
	/**
	 * 预约下单
	 **/
	app.createOrder = function(orderInfo, callback) {
		mui.ajax(app.AddOrder_URL,{
			data:{
				token: orderInfo.token,				//用户token
				serve_id: orderInfo.serveid,		//服务类型id
				name: orderInfo.name,				//姓名
				tel: orderInfo.tel,					//手机号
				square: orderInfo.square,			//面积
				time:orderInfo.servetime,			//服务时间
				address: orderInfo.address,			//地址
				note: orderInfo.beizhu,				//备注
				blindclear: orderInfo.blindclear,	//窗帘清洗
				source: 1							//1表示app
			},
			dataType:'json',//服务器返回json格式数据
			type:'post',//HTTP请求类型
			timeout:10000,//超时时间设置为10秒；
			success:function(data){
				//服务器返回响应，根据响应结果，分析是否登录成功；
				if(data.status == 200) {	//登录成功
					var jsonData = data.data;
					return callback();
				}else{
					return callback(data.message);
				}
			},
			error:function(xhr,type,errorThrown){
				//异常处理；
				return callback("网络异常");
			}
		});
	};
	
	/*
	 * 订单支付 
	 * 
	 * */
	app.payOrder = function(payInfo, callback) {		
		mui.ajax(app.PayOrder_URL,{
			data:{
				token: payInfo.token,				//用户token
				orderid: payInfo.orderid,
				couponid: payInfo.couponid,
				pay: payInfo.pay
			},
			dataType:'json',//服务器返回json格式数据
			type:'post',//HTTP请求类型
			timeout:10000,//超时时间设置为10秒；
			success:function(data){
				//服务器返回响应，根据响应结果，
				if(data.status == 200) {	//支付成功
					var jsonData = data.data;
					return callback();
				}else{
					return callback(data.message);
				}
			},
			error:function(xhr,type,errorThrown){
				//异常处理；
				return callback("网络异常");
			}
		});
	};
	
	/*
	 *
	 * 支付宝支付
	 * 
	 * */
	app.alipay = function(url) {
		var w=null;		
		if(w){return;}//检查是否请求订单中		
		w=plus.nativeUI.showWaiting();
		var xhr=new XMLHttpRequest();
		
		xhr.onreadystatechange=function(){
			switch(xhr.readyState){
				case 4:
				w.close();w=null;
				if(xhr.status==200){
					var order=xhr.responseText;
					plus.payment.request(pays['alipay'],order,function(result){
						plus.nativeUI.alert("支付成功",function(){
							var main = plus.webview.getLaunchWebview();
							main.show();
							mui.fire(main,'goorder');
						},"支付");
					},function(e){
						plus.nativeUI.alert("支付失败",null,"支付失败："+e.code);
					});
				}else{
					plus.nativeUI.alert("获取订单信息失败！",null,"支付");
				}
				break;
				default:
				break;
			}
		}
		xhr.open('GET',url);
		xhr.send();
	};
	
	/*
	 * 会员充值时支付宝支付
	 */
	app.czpay = function(url) {
		var w=null;		
		if(w){return;}//检查是否请求订单中		
		w=plus.nativeUI.showWaiting();
		var xhr=new XMLHttpRequest();
		
		xhr.onreadystatechange=function(){
			switch(xhr.readyState){
				case 4:
				w.close();w=null;
				if(xhr.status==200){
					var order=xhr.responseText;					
					plus.payment.request(pays['alipay'],order,function(result){
						plus.nativeUI.alert("支付成功",function(){
							var main = plus.webview.getLaunchWebview();
							main.show();
							mui.fire(main,'gohome');
						},"支付");
					},function(e){
						plus.nativeUI.alert("支付失败",null,"支付失败："+e.code);
					});
				}else{
					plus.nativeUI.alert("获取信息失败！",null,"支付");
				}
				break;
				default:
				break;
			}
		}
		xhr.open('GET',url);
		xhr.send();
	};
	
	/*
	 * 订单评价 
	 * 
	 * */
	app.commentOrder = function(commentInfo, callback) {		
		mui.ajax(app.Comment_URL,{
			data:{
				token: commentInfo.token,				//用户token
				orderid: commentInfo.orderid,
				content: commentInfo.content,
				xinde1: commentInfo.xinde1,
				xinde2: commentInfo.xinde2,
				xinde3: commentInfo.xinde3,
				xinde4: commentInfo.xinde4,
				xinde5: commentInfo.xinde5
			},
			dataType:'json',//服务器返回json格式数据
			type:'post',//HTTP请求类型
			timeout:10000,//超时时间设置为10秒；
			success:function(data){
				//服务器返回响应，根据响应结果，
				if(data.status == 200) {	//成功
					var jsonData = data.data;
					return callback();
				}else{
					return callback(data.message);
				}
			},
			error:function(xhr,type,errorThrown){
				//异常处理；
				return callback("评价失败");
			}
		});
	};
	
	
	/*
	 * 意见反馈
	 * 
	 * */
	app.feedback = function(feedbackInfo, callback) {
		mui.ajax(app.Feedback_URL,{
			data:{
				token: feedbackInfo.token,
				content: feedbackInfo.content
			},
			dataType:'json',//服务器返回json格式数据
			type:'post',//HTTP请求类型
			timeout:10000,//超时时间设置为10秒；
			success:function(data){
				//服务器返回响应，根据响应结果，
				if(data.status == 200) {	//成功
					var jsonData = data.data;
					return callback();
				}else{
					return callback(data.message);
				}
			},
			error:function(xhr,type,errorThrown){
				//异常处理；
				return callback("提交失败");
			}
		});
	}
	
	
	
	/**
	 * 预约保姆
	 **/
	app.createAppointment = function(dataInfo, callback) {
		mui.ajax(app.AddAppointment_URL,{
			data:{
				token: dataInfo.token,				//用户token
				day: dataInfo.day,					//工作时间
				type: dataInfo.type,				//阿姨类型
				jiawu: dataInfo.jiawu,				//家务
				laoren: dataInfo.laoren,			//老人
				xiaohai: dataInfo.xiaohai,			//小孩
				zuofan: dataInfo.zuofan,			//做饭
				note: dataInfo.beizhu				//备注
			},
			dataType:'json',//服务器返回json格式数据
			type:'post',//HTTP请求类型
			timeout:10000,//超时时间设置为10秒；
			success:function(data){
				//服务器返回响应，根据响应结果，分析是否登录成功；
				if(data.status == 200) {	//登录成功
					var jsonData = data.data;
					return callback();
				}else{
					return callback(data.message);
				}
			},
			error:function(xhr,type,errorThrown){
				//异常处理；
				return callback("网络异常");
			}
		});
	};


	/*
	 * 检查版本更新
	 * 
	 * */
	app.versionUpdate = function() {
		if(plus.networkinfo.getCurrentType() > 1) {
			var wgtVer = '';
			plus.runtime.getProperty(plus.runtime.appid,function(inf){
		        wgtVer=inf.version;
		    });
		    
		    //wgtVer = plus.runtime.version;		    
			mui.ajax(app.versionUpdate_URL,{
				data:{
					version: wgtVer
				},
				dataType:'json',//服务器返回json格式数据
				type:'post',//HTTP请求类型
				timeout:10000,//超时时间设置为10秒；
				success:function(data){
					if (data.status) {
						plus.ui.confirm(data.note, function(i) {
							plus.runtime.openURL(data.url);
						}, data.title, ["立即更新", "取　　消"]);
					} else {
						mui.toast('已经是最新版本~')
					}
				},
				error:function(xhr,type,errorThrown){
					//异常处理
					mui.toast('获取数据异常');
				}
			});
		}else{
			mui.toast('网络未连接');
		}
	};
		
	
}(mui, window.app = {}));


/****************************************************************
 * 返回键退出程序
 * 1秒内，连续两次按返回键，则退出应用
 ****************************************************************/
function BackQuitApp() {
	var backButtonPress = 0;
	this.QuitApp = function(event) {
		backButtonPress++;
		if (backButtonPress > 1) {
			plus.runtime.quit();
		} else {
			plus.nativeUI.toast('再按一次退出应用');
		}
		setTimeout(function() {
			backButtonPress = 0;
		}, 1000);
		return false;
	};
};

